List all webhooks
curl --request GET \
--url https://api.cloudglue.dev/v1/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloudglue.dev/v1/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloudglue.dev/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "<string>",
"object": "webhook",
"created_at": 123,
"webhook_secret": "<string>",
"endpoint": "<string>",
"active": true,
"subscribed_events": [
"describe.job.processing"
],
"description": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"error": "<string>"
}Webhooks
List Webhooks
List all webhooks
GET
/
webhooks
List all webhooks
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of webhooks to return
Required range:
x <= 100Number of webhooks to skip
Order the webhooks by a specific field
Available options:
created_at Sort the webhooks in ascending or descending order
Available options:
asc, desc Response
A list of webhooks
Object type, always 'list'
Available options:
list Array of webhook objects
Show child attributes
Show child attributes
Total number of webhooks matching the query
Number of items returned in this response
Offset from the start of the list